import { Unit } from '../../../../Class/Unit';
import { ObjectUpdateType } from '../../../../ObjectUpdateType';
import { System } from '../../../../system';
import { Dict } from '../../../../types/Dict';
import { Unlisten } from '../../../../types/Unlisten';
import { J } from '../../../../types/interface/J';
export type I = {};
export type O = {};
export default class Global extends Unit<I, O> implements J<Dict<any>> {
    constructor(system: System);
    subscribe(path: string[], key: string, listener: (type: ObjectUpdateType, path: string[], key: string, data: any) => void): Unlisten;
    get(name: string): any;
    set(name: string, data: string): void;
    delete(name: string): any;
    deepSet(path: string[], data: any): void;
    deepGet(path: string[]): any;
    deepDelete(path: string[]): void;
    deepHas(path: string[]): boolean;
    keys(): string[];
    hasKey(name: string): boolean;
}
